---
title: AI Changing The Internet
description: So I moved from HUGO to WordPress so I could handle just writing posts again, and have an easier way to handling it. That said, WordPress is great, but with the new stuff Automattic is doing kinda starting to rub me the wrong way and...
tags: [Opinion, SSG, Astro, WordPress, HUGO]
published: 2024-08-23
category: Thoughts
draft: false
---

I am not sure who else has noticed this, but it has continued to be a thing I have seen repeatedly. The real solution here is that “regular” people will increasingly use AI to do their searches. This didn’t set in for me until it came up in the podcast I listen to called “The Vergecast” which covered the new Search GPT stuff from Open AI. They were talking about how their partners were no longer using Google or other search engines like they still do to get their answers to questions, but instead, they were using Bing’s AI, Google’s Gemini, or even ChatGPT itself.

What stuck out to me was that the ones hosting the podcast… mentioned how they were still enjoying using the search engines as they were… which I feel most people reading this blog are also the same way…. As I am sure, it is primarily nerdy fuzz butts like myself. That said, while I haven’t been a fan of Google or Bing’s idea of giving me a quick answer... I miss what Neeva (now defunct paid search engine I used) would take the top 5 search results, summarize them, and provide clickable context to take you to the page from which each sentence was most derived. All these other engines don’t seem to be doing that, which bugs me…

:::important[Side Thought]
<div class="flex">
<div><img src="/stickers/happy-typing.webp" /></div>
<div class="grow p-4">I am someone who really doesn't mind paying for search, but all the paid search engines have some odd thigns around them and with the way the web is going it just makes more since to move to hosting your own search... for me I leverage Aara Search now for my own searches now. I suggest giving it a look and setting up your own instance if you are someone who wants more classic google results.</div>
</div>
:::

So, why do the quick answers bother me? Well, they are often being sourced by specific random sites that the AI has chosen and not by natural organic results, and then the top few are summarized. I must remember that my generation and type of internet user knows how to context search… not everyone; most people ask generic questions and hope for the best answer. In contrast, I know how to say, “Kubernetes k3s install AlmaLinux SELinux enabled,” which, yes, seems like a word jumble. Still, it will get me what I am looking for better… where if I were talking to an AI Search, it would be more like I am asking a fellow human, “How do I install Kubernetes k3s on AlmaLinux with SELinux enabled?” and hopefully get an accurate answer that isn’t giving me confidently incorrect information.

I am just starting to wonder as this mix of AI hype is dying off, and specific use cases are becoming normalized. I am seeing people slowly beginning to pull off the whole hype of AI all the things, as they are seeing it, for what it is… a word mathematics juggler, which is why it comes off as competent when it often isn’t as bright as we give it credit for… it is just really good at making us feel good about it seeming that it is bright. Yet, in the other corner, I am seeing the use case of it becoming a search engine or research engine more normalized… heck this is how I use it. While I might not be using it to do my web searches, I do use it to help me understand code I am writing or working on; rather than having it write the code for me, I have it help me breakdown ways of doing something in the languages I am using to help me understand what I am programming. Examples of this are moving from the React Framework to the Svelte Framework, helping me learn and understand the differences between the two.

Bringing it back to The Vergecast episode spawned me wanting to write this little blog post. That is, “Like it or not, the way people search the internet is changing.” The worst part of it is not just the AI parts, but now we are also dealing with the fact sites and social media platforms are locking out public scraping of data, and so far as to even be like Reddit forcing search engines to PAY to index their content… I am unsure if I like the future, where search engines are all paywalled off from the big content sites.

The real problem is that we have all given up hosting or using our sites and started centralized internet usage. People have gone to “Just use Twitter” or “Just look it up on Reddit.” Because of that, we are all locked into all these different platforms that now, because it is a big, centralized pie, need money to operate… but because they are so large, offering the services for free isn't affordable. Still, people will not stick around if it isn’t free… thus they have to lock it down and sell your data to search engines and AI model builders.

With all of that said, I am not going to sit here and say that the solution is for everyone with their own websites again… because we all know that just isn’t going to go over well… because indexing and discovery sucks… But we should lean more into the open protocols like Indie Social, ActivityPub, and AT Protocol… because they will allow us to do the same things that people have been doing (aka social media and centralized sites) systems like Twitter/X and Instagram, etc. however not owned by big corporations but instances forced to play and talk on the same field. Smaller communities can cover the costs of AD-free socials and not have to bug users for thousands of dollars a month to keep the lights on… but much less and cover those who cannot pay.

As I said, I continue to be a shill for moving to the decentralized protocols. I prefer people to Adopt ActivityPub… because I feel it is the most open and independent protocol and accessible to build off. However, I respect that others might like the features of the other ones, like AT Protocol and Indie Social. It is just that we need to look at moving to something, as I do not like how the future of the internet is looking right now.
